Unbind
Environments

Delete Environment

Permanently delete an environment and its services and volumes. A project's last environment cannot be deleted.

DELETE
/environments/delete

Permanently delete an environment and its services and volumes. A project's last environment cannot be deleted.

Authorization

bearerAuth
AuthorizationBearer <token>

Access token or API key (unb_...) passed as Authorization: Bearer <token>.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

environment_id*string
project_id*string
team_id*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/environments/delete" \  -H "Content-Type: application/json" \  -d '{    "environment_id": "string",    "project_id": "string",    "team_id": "string"  }'
{  "data": {    "deleted": true,    "id": "string"  }}